Package: org.grails.transaction

## [Java] Interface SynchronizationManager

-     interface SynchronizationManager

  Strategy interface to allow providing a dedicated synchronization mechanism.

  Authors:
    Michael Hunger
    Oliver Gierke
  See Also:
    SpringTransactionSynchronizationManager
  Since:
    2.3.6

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `clearSynchronization()`
    `` | `public void` | `initSynchronization()`
    `` | `public boolean` | `isSynchronizationActive()`

- - ### Method Detail

    - #### public void clearSynchronization()

    - #### public void initSynchronization()

    - #### public boolean isSynchronizationActive()